<ng-container *cvIfInitial="data">
  <ng-container [ngSwitch]="!!initialRef">
    <ng-container *ngSwitchCase="true">
      <ng-template [ngTemplateOutlet]="initialRef"></ng-template>
    </ng-container>
    <span class="no-data-text" *ngSwitchCase="false">{{ initialText }}</span>
  </ng-container>
</ng-container>

<ng-container *cvIfPending="data">
  <cv-progress [delay]="0" [progress]="true"></cv-progress>
</ng-container>

<ng-container *cvIfFailure="data; let failure">
  <ng-container [ngSwitch]="!!failureRef">
    <ng-container *ngSwitchCase="true">
      <ng-template [ngTemplateOutlet]="failureRef"></ng-template>
    </ng-container>
    <div class="error-block" *ngSwitchCase="false">
      <div class="error-block__wrap">
        <cv-icon name="circle_alert" class="error-block__icon" [size]="32"></cv-icon>
        <p class="error-block111__111text">{{ failure?.title }}</p>
        <p class="error-block__text">{{ failure?.details }}</p>
        <button cv-button label="Refresh" icon="arrow_circle" (buttonClick)="refresh.emit()"></button>
      </div>
    </div>
  </ng-container>
</ng-container>

<ng-content></ng-content>
